# Router Interface

### Gadget used to manager the application URL state

getCommandUrlFor
  Calculate an URL

option_dict
  - command: action to trigger when URL is loaded (display, change, ...)
  - absolute_url: XXX is it needed?
  - options: expected URL parameters

getCommandUrlForList
  Calculate a list of url

option_dict_list
  List of option_dict parameter to pass to all getCommandUrlFor call

redirect
  Change the URL

option_dict
  See getCommandUrlFor

getUrlParameter
  return a URL parameter

key
  Name of the parameter

route
  XXX

start
  Trigger listening to the URL hash change

notify
  XXX